<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.15
Name: Versturen hielprikverzoek (interactie)
Description: Versturen hielprikverzoek. De waarde voor het element  acceptAckCode  is "AL".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000">
   <title>Versturen hielprikverzoek (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: (VersturenHielprikverzoek)
-->

   <rule context="hl7:POOR_IN002150NL"
         id="tmp-r-44ab5ffc-b075-40ea-a64d-bf003efa43d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenHielprikverzoek): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenHielprikverzoek): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&gt;=1 and not(hl7:versionCode[@code='NICTIZEd2005-Okt']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:versionCode[@code='NICTIZEd2005-Okt'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&lt;=1">(VersturenHielprikverzoek): element hl7:versionCode[@code='NICTIZEd2005-Okt'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenHielprikverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenHielprikverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'])&gt;=1 and not(hl7:processingCode[@code='P']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:processingCode[@code='P'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'])&lt;=1">(VersturenHielprikverzoek): element hl7:processingCode[@code='P'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&gt;=1 and not(hl7:processingModeCode[@code='T']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:processingModeCode[@code='T'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&lt;=1">(VersturenHielprikverzoek): element hl7:processingModeCode[@code='T'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='AL' or @code='NE'])&gt;=1 and not(hl7:acceptAckCode[@code='AL' or @code='NE']/@nullFlavor)">(VersturenHielprikverzoek): element hl7:acceptAckCode[@code='AL' or @code='NE'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='AL' or @code='NE'])&lt;=1">(VersturenHielprikverzoek): element hl7:acceptAckCode[@code='AL' or @code='NE'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(VersturenHielprikverzoek): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:attentionLine)&lt;=1">(VersturenHielprikverzoek): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(VersturenHielprikverzoek): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:receiver)&lt;=1">(VersturenHielprikverzoek): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(VersturenHielprikverzoek): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:sender)&lt;=1">(VersturenHielprikverzoek): element hl7:sender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenHielprikverzoek): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenHielprikverzoek): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:id"
         id="tmp-r-72ce495b-d932-404a-ab0b-18bf5aab7af6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:creationTime"
         id="tmp-r-9ef4bfc0-c1f3-4805-9e50-5ca3d9383788">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:versionCode[@code='NICTIZEd2005-Okt']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:versionCode[@code='NICTIZEd2005-Okt']"
         id="tmp-r-5323c78b-40a6-4b09-a883-0ba60f8c735c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-r-c763e3f8-599f-41a8-86e4-1436d1d11bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): de waarde van @root MOET '2.16.840.1.113883.1.6' zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-r-d0427171-49b8-4cd3-87a8-589b2aa27702">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.1' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@extension)='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:processingCode[@code='P']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:processingCode[@code='P']"
         id="tmp-r-7198d3d5-3def-41bf-baad-fb1d2ee4cef6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'P'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:processingModeCode[@code='T']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:processingModeCode[@code='T']"
         id="tmp-r-aa4658aa-1cc5-421b-b68a-cdfd048a4a26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'T'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:POOR_IN002150NL/hl7:acceptAckCode[@code='AL' or @code='NE']
Item: (TransmissionWrapperMCCI_MT000100)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:acceptAckCode[@code='AL' or @code='NE']"
         id="tmp-r-e1812a2c-b38f-4cd0-a827-f8dd5360fd37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'AL' of code 'NE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:POOR_IN002150NL/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:attentionLine"
         id="tmp-r-86bb8aab-be8f-4ecc-9de3-c6a508608e61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')])&gt;=1 and not(hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')]/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')])&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:POOR_IN002150NL/hl7:attentionLine/hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')]
Item: (TransmissionWrapperAttentionLineAORTA)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:attentionLine/hl7:keyWordText[(@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')]"
         id="tmp-r-a7b60755-be58-462b-9418-315900302f42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de elementwaarde MOET zijn code 'PATID' codeSystem '2.16.840.1.113883.2.4.15.1'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:POOR_IN002150NL/hl7:attentionLine/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (TransmissionWrapperAttentionLineAORTA)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:attentionLine/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-5406ac58-ac3e-4c0f-911f-a2afd70411f8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(TransmissionWrapperAttentionLineAORTA): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:POOR_IN002150NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:receiver"
         id="tmp-r-4306ccc2-b438-471f-b8cf-277941fd6b6c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@typeCode)='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device"
         id="tmp-r-68a041e5-36cb-4a8c-b0e4-7688568f3e75">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-552d58a9-e2e2-4bec-9f7d-46e61e7d951b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-r-d351ddda-a42e-4b21-bf8a-0dc0df12317f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:POOR_IN002150NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:sender"
         id="tmp-r-6c6319e9-dbdb-44e5-96af-1f516a4a8f6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@typeCode)='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device"
         id="tmp-r-2aaf2346-4f91-4c4f-bba3-63c58d8709ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-9987f3b4-3c5f-4f8c-8223-e3ea9dcd8954">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-r-f68b4835-8acb-4049-adeb-7bbe8c2e8b80">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess
Item: (VersturenHielprikverzoek)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess"
         id="tmp-r-8328b1b5-1fed-477c-9618-98abe62ecb26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenHielprikverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:text)=0">(VersturenHielprikverzoek): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenHielprikverzoek): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:reasonCode)=0">(VersturenHielprikverzoek): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:languageCode)=0">(VersturenHielprikverzoek): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:informationRecipient)=0">(VersturenHielprikverzoek): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:dataEnterer)=0">(VersturenHielprikverzoek): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <let name="elmcount"
           value="count(hl7:authorOrPerformer[*/hl7:AssignedDevice]|hl7:authorOrPerformer[*/hl7:AssignedPerson])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(VersturenHielprikverzoek): keuze (hl7:authorOrPerformer[*/hl7:AssignedDevice] of hl7:authorOrPerformer[*/hl7:AssignedPerson]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(VersturenHielprikverzoek): keuze (hl7:authorOrPerformer[*/hl7:AssignedDevice] of hl7:authorOrPerformer[*/hl7:AssignedPerson]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:overseer)&lt;=1">(VersturenHielprikverzoek): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]])&gt;=1 and not(hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]]/@nullFlavor)">(VersturenHielprikverzoek): element hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]])&lt;=1">(VersturenHielprikverzoek): element hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:id"
         id="tmp-r-bccf8210-f4c5-4922-a7e0-1b4de3e1d9eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:code"
         id="tmp-r-af2236af-d3d4-428b-961b-f2a7db5c4fa4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.1.18'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-r-54cecf6b-b5fb-44ec-8d71-b29d918291dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]"
         id="tmp-r-58e0c448-eb1e-42cd-b9b7-f0d0be300c39">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerDevice): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant"
         id="tmp-r-79aa4d3d-9e6b-4478-bcc0-be9388848826">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:AssignedDevice)&gt;=1 and not(hl7:AssignedDevice/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:AssignedDevice)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice"
         id="tmp-r-b5b4cd0f-1037-4adb-b3be-25732193b1b2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization[hl7:id[@root='2.16.528.1.1007.3.3']]">(ControlActAuthorOrPerformerDevice): 
                            <name/> met een UZI-systeemnummer in id MOET bij de organisatie een URA hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2'] and hl7:Organization[hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']])">(ControlActAuthorOrPerformerDevice): 
                            <name/> met een UZI-systeemnummer in id MAG GEEN AORTA-organisatie-id als hebben.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6']|hl7:id[@root='2.16.528.1.1007.3.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.2'])&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:id[@root='2.16.528.1.1007.3.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerDevice): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerDevice): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-5cff596f-b8dd-4673-85f9-23189b3a4a44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(ControlActAuthorOrPerformerDevice): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']"
         id="tmp-r-181e17bf-2d12-40bb-b86d-eac8f4b411d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.2'">(ControlActAuthorOrPerformerDevice): de waarde van @root MOET '2.16.528.1.1007.3.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code"
         id="tmp-r-2a342f94-e394-46f8-93d4-b376831fb2cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom"
         id="tmp-r-0897b963-3d08-402f-9ce6-89be8d3faa24">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name"
         id="tmp-r-2543536d-22d7-42fd-a869-adee111d4b0a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:noteText
Item: (ControlActAuthorOrPerformerDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:time
Item: (ControlActAuthorOrPerformerDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:modeCode
Item: (ControlActAuthorOrPerformerDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureCode
Item: (ControlActAuthorOrPerformerDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureText
Item: (ControlActAuthorOrPerformerDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization"
         id="tmp-r-f510cfed-6b21-4b0e-9210-d763250d7f1d">
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.3']|hl7:id[@root='2.16.840.1.113883.2.4.3.11']|hl7:id[@root='2.16.840.1.113883.2.4.3.11.25'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-7d6c0dcd-f568-45a2-a47c-e748cd957775">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerDevice): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']"
         id="tmp-r-feb72ea0-a36c-4622-88ad-13d643a504af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11'">(ControlActAuthorOrPerformerDevice): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@extension)='7'">(ControlActAuthorOrPerformerDevice): de waarde van @extension MOET '7' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']"
         id="tmp-r-08be1629-edd2-407b-bf3a-36096e95fbe6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.25'">(ControlActAuthorOrPerformerDevice): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.25' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code"
         id="tmp-r-3448978f-c3a9-475d-89cd-667edd444677">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerDevice): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom"
         id="tmp-r-47999cf2-f793-4f2d-a74c-cf144d6cc830">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name"
         id="tmp-r-c4ee807b-828f-4e2d-9b55-f8d298e84173">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.1
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerDevice)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr"
         id="tmp-r-148ac00e-6dda-4348-9752-ba73551c450f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-r-0e0e20a6-62bb-444f-9894-93760fef7ce0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-r-8ca16687-b351-46cc-b0fc-56697c462563">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-r-0fd7a4e8-7fa0-4590-bdc4-efe99c1ffb8e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-f507a8f4-d65b-4616-b005-00f8ed5aaa7a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActAuthorOrPerformerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-r-5edbba63-68ff-4bca-91bd-4df207adf55b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-r-be1b7d2a-09d5-4e25-8fbd-3d815dcce5dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-r-12c0898d-b663-4f06-88dd-2ddc5935eacb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-r-d1146d0f-f963-42c0-be38-368d96f54e9d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-7489a0bd-d0aa-4e38-966d-062db9726359">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerPerson): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-r-809dd7ab-d360-4637-9da1-8bc76cfbfa0e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-r-a54214c5-2e8a-4a3d-940f-dc089b5246ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-r-e2ab22dc-e6e2-41b1-b21c-6fa1fd0c0cd0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-r-282337f2-4482-41b2-a954-9c61fb0dad6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-r-5620b2b0-11ae-4a0b-8de8-c91ea93a7167">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-r-a18554f4-7334-4e3d-a49d-e8c9614cce62">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-22e68cd5-46f8-4efe-956b-30afcd456e4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-r-181acc2c-47a4-4e38-b0a1-0ec669c9b6ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-r-70b93605-9e88-4269-91a3-8798b6f36340">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-db887a6e-99f3-4508-99f7-44f47e9d3268">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-5e6ec13f-4347-4938-8f79-48ac307b3780">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-r-1ba99cfc-b686-4726-bab3-5cede7a2eeb7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-r-93891c39-b209-4bfe-9468-48588d5657eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-r-f838e0c2-2ba8-4e71-9df7-75b015bf5d2a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-r-566fc42d-6074-4bd6-89c9-305d31ac3540">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-r-153eeda5-0997-4f43-adda-79ef88a47d60">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]]
Item: (VersturenHielprikverzoek)
-->
   <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.15-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenHielprikverzoek): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
